tigase.component.adhoc

## Class AdHocCommandManager

- java.lang.Object
- - tigase.component.adhoc.AdHocCommandManager

-     public class AdHocCommandManager
      extends Object

  Class description

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdHocCommandManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<AdHocCommand>` | `getAllCommands()` Method description
    `AdHocCommand` | `getCommand(String nodeName)`
    `boolean` | `hasCommand(String node)` Method checks if exists implementation for this command in this CommandManager
    `Packet` | `process(Packet packet)` Method description
    `Packet` | `process(Packet packet, Element commandElement, String node, String action, String sessionId, AdHocCommand adHocCommand)`
    `void` | `registerCommand(AdHocCommand command)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdHocCommandManager

          public AdHocCommandManager()

  - ### Method Detail

    - #### getAllCommands

          public Collection<AdHocCommand> getAllCommands()

      Method description
      Returns:

    - #### getCommand

          public AdHocCommand getCommand(String nodeName)

    - #### hasCommand

          public boolean hasCommand(String node)

      Method checks if exists implementation for this command in this CommandManager
      Parameters:
        `node` -
      Returns:
        true - if command exists for this node

    - #### process

          public Packet process(Packet packet)
                         throws AdHocCommandException

      Method description
      Parameters:
        `packet` -
      Returns:
      Throws:
        `AdHocCommandException`

    - #### process

          public Packet process(Packet packet,
                                Element commandElement,
                                String node,
                                String action,
                                String sessionId,
                                AdHocCommand adHocCommand)
                         throws AdHocCommandException

      Throws:
        `AdHocCommandException`

    - #### registerCommand

          public void registerCommand(AdHocCommand command)

      Method description
      Parameters:
        `command` -

Copyright © 2017 "Tigase, Inc.". All rights reserved.